CVE-2018-12178

Published: 27 March 2019

Buffer overflow in network stack for EDK II may allow unprivileged user to potentially enable escalation of privilege and/or denial of service via network.

Priority

Medium

CVSS 3 base score: 9.1

Status

Package Release Status
edk2
Launchpad, Ubuntu, Debian
Upstream
Released (0~20181115.85588389-3)
Ubuntu 20.10 (Groovy Gorilla) Not vulnerable
(0~20190606.20d2e5a1-1ubuntu2)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(0~20190606.20d2e5a1-1ubuntu2)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (0~20180205.c0d9813c-2ubuntu0.2)
Ubuntu 16.04 LTS (Xenial Xerus)
Released (0~20160408.ffea0a2c-2ubuntu0.1)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was needs-triage)
Ubuntu 12.04 ESM (Precise Pangolin) Does not exist

Patches:
Upstream: https://github.com/tianocore/edk2/commit/84110bbe4bb3a346514b9bb12eadb7586bca7dfd